Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class StatsConfig

    java.lang.Object
      com.sleepycat.je.StatsConfig

All Implemented Interfaces:
  Cloneable

    public class StatsConfig

extends Object
implements Cloneable

Specifies the attributes of a statistics retrieval operation.

Field Summary
`static StatsConfig` | `DEFAULT` A convenience instance embodying the default configuration.

Constructor Summary
`StatsConfig()` An instance created using the default constructor is initialized with the system's default settings.

Method Summary
`StatsConfig` | `clone()` Returns a copy of this configuration object.
`boolean` | `getClear()` Returns true if the statistics operation is configured to reset statistics after they are returned.
`boolean` | `getFast()` Returns true if the statistics operation is configured to return only the values which do not require expensive actions.
`int` | `getShowProgressInterval()` Returns the showProgressInterval value, if set.
`PrintStream` | `getShowProgressStream()` Returns the PrintStream on which the progress messages will be displayed during long running statistics gathering operations.
`StatsConfig` | `setClear(boolean clear)` Configures the statistics operation to reset statistics after they are returned.
`StatsConfig` | `setFast(boolean fast)` Configures the statistics operation to return only the values which do not incur some performance penalty.
`StatsConfig` | `setShowProgressInterval(int showProgressInterval)` When the statistics operation is configured to display progress the showProgressInterval is the number of LNs between each progress report.
`StatsConfig` | `setShowProgressStream(PrintStream showProgressStream)` Configures the statistics operation to display progress to the PrintStream argument.
`String` | `toString()` Returns the values for each configuration attribute.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final StatsConfig DEFAULT

  A convenience instance embodying the default configuration.

Constructor Detail

### StatsConfig

    public StatsConfig()

  An instance created using the default constructor is initialized with the system's default settings.

Method Detail

### setFast

    public StatsConfig setFast(boolean fast)

  Configures the statistics operation to return only the values which do not incur some performance penalty.

  The default value is false.

  For example, skip stats that require a traversal of the database or in-memory tree, or which lock down the lock table for a period of time.

  Parameters:
    `fast` - If set to true, configure the statistics operation to return only the values which do not incur some performance penalty.
  Returns:
    this

### getFast

    public boolean getFast()

  Returns true if the statistics operation is configured to return only the values which do not require expensive actions.

  Returns:
    true if the statistics operation is configured to return only the values which do not require expensive actions.

### setClear

    public StatsConfig setClear(boolean clear)

  Configures the statistics operation to reset statistics after they are returned. The default value is false.

  Parameters:
    `clear` - If set to true, configure the statistics operation to reset statistics after they are returned.
  Returns:
    this

### getClear

    public boolean getClear()

  Returns true if the statistics operation is configured to reset statistics after they are returned.

  Returns:
    true if the statistics operation is configured to reset statistics after they are returned.

### setShowProgressStream

    public StatsConfig setShowProgressStream(PrintStream showProgressStream)

  Configures the statistics operation to display progress to the PrintStream argument. The accumulated statistics will be displayed every N records, where N is the value of showProgressInterval.

  Returns:
    this

### getShowProgressStream

    public PrintStream getShowProgressStream()

  Returns the PrintStream on which the progress messages will be displayed during long running statistics gathering operations.

### setShowProgressInterval

    public StatsConfig setShowProgressInterval(int showProgressInterval)

  When the statistics operation is configured to display progress the showProgressInterval is the number of LNs between each progress report.

  Returns:
    this

### getShowProgressInterval

    public int getShowProgressInterval()

  Returns the showProgressInterval value, if set.

### clone

    public StatsConfig clone()

  Returns a copy of this configuration object.

  Overrides:
    `clone` in class `Object`

### toString

    public String toString()

  Returns the values for each configuration attribute.

  Overrides:
    `toString` in class `Object`
  Returns:
    the values for each configuration attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.